package mdb

import "github.com/google/btree"

type indexState[T any] struct {
	BTree *btree.BTreeG[*T]
}

func (i indexState[T]) clone() indexState[T] {
	return indexState[T]{BTree: i.BTree.Clone()}
}
